Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.blojsom.plugin.moblog
Class MoblogPluginUtils

    java.lang.Object
      org.blojsom.plugin.moblog.MoblogPluginUtils

public class MoblogPluginUtils
extends java.lang.Object

Moblog Plugin Utils

Since:
  blojsom 3.0
Version:
  $Id: MoblogPluginUtils.java,v 1.3 2006/05/04 14:07:34 czarneckid Exp $
Author:
  David Czarnecki

Constructor Summary
`MoblogPluginUtils()`

Method Summary
`static Mailbox` | `readMailboxSettingsForBlog(javax.servlet.ServletConfig servletConfig, Blog blog)` Read in the mailbox settings for a given blog
`static int` | `saveFile(java.lang.String filename, java.lang.String extension, java.io.InputStream input)` Save a file to disk

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MoblogPluginUtils

    public MoblogPluginUtils()

Method Detail

### readMailboxSettingsForBlog

    public static Mailbox readMailboxSettingsForBlog(javax.servlet.ServletConfig servletConfig,
                                                     Blog blog)

  Read in the mailbox settings for a given blog

  Parameters:
    `blog` - `Blog`
  Returns:
    `Mailbox` populated with settings and authorized e-mail addresses or `null` if there was an error reading any configuration information

### saveFile

    public static int saveFile(java.lang.String filename,
                               java.lang.String extension,
                               java.io.InputStream input)
                        throws java.io.IOException

  Save a file to disk

  Parameters:
    `filename` - Base filename
    `extension` - File extension
    `input` - Input from which to read and write a file
  Returns:
    # of bytes written to disk
  Throws:
    `java.io.IOException` - If there is an error writing the file

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD